concepts.hpp File Reference

## Variables

template<typename Fun , typename... Args>
concept | ranges::iinvocable
| \concept invocable More...
template<typename Fun , typename... Args>
concept | ranges::invocable_ = requires( Fun && fn ) { invoke((Fun &&) fn, std::declval<Args>()...) ; }
| \concept invocable_ More...
template<typename Fun , typename... Args>
concept | ranges::ppredicate
| \concept predicate More...
template<typename Fun , typename... Args>
concept | ranges::predicate_ = requires( Fun && fn ) { concepts::requires_< convertible_to< decltype(invoke((Fun &&) fn, std::declval<Args>()...)), bool>> ; }
| \concept predicate_ More...
template<typename Fun , typename... Args>
concept | ranges::rregular_invocable
| \concept regular_invocable More...
template<typename R , typename T , typename U >
concept | ranges::rrelation
| \concept relation More...
template<typename R , typename T , typename U >
concept | ranges::sstrict_weak_order
| \concept strict_weak_order More...